<!DOCTYPE html>
<html lang="en">
    <head><title></title></head>
    <body>
        <header><nav><ul>
            {% if user.is_authenticated %}
            <li> <a href="{% url "show_my_tasks" %}">My Tasks</a></li>
            <li><a href="{% url "list_projects" %}">My Projectss</a></li>
            <li><a href="{% url "logout" %}">Logout</a></li>
            {% else %}
            <li><a href="{% url "login" %}">Login</a></li>
            <li><a href="{% url "signup" %}">Signup</a></li>
            {% endif %}
          </ul></nav></header>
      
        <main>
            <div>
                <h1>My Tasks</h1>
                {% if task_list|length > 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>End date</th>
                            <th>Is complete</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in task_list %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{% if task.is_completed %}</td>
                            <p> Done </p>
                            {% else %}
                            <form method="post" action="{% url 'complete_task' task.id %}">
                                {% csrf_token %}
                                <input type="hidden" name="is_completed" value="True">
                                <button>Complete</button>
                            </form>            
                                {% endif %}

                        </tr>
                        {% endfor%}
                    </tbody>
                </table>
                {% else %}
                <p>You have no tasks</p>
                {% endif %}
            </div>
        </main>
    </html>
